Bug 189803 - multipath -ll does not show path checker type
multipath -ll does not show path checker type
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 15:57 EDT by Sam Folk-Williams
Modified: 2010-01-11 21:25 EST (History)
10 users (show)

See Also:
Fixed In Version: RHEA-2007-0256
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:36:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Folk-Williams 2006-04-24 15:57:41 EDT
Description of problem:

multipath -ll does not show the path checking type that is currently in use, as
the man page indicates it should.

From "man multipath":
--
-ll    show the current multipath topology from all available information
(sysfs, the device mapper, path checkers ...)
--
Version-Release number of selected component (if applicable):
Name                                    Version        Rel
----------------------------------------------------------
device-mapper-multipath                 0.4.5          12.0.RHEL4        i386


How reproducible:
Always
  
Actual results:
# multipath -ll
1IBM_____2105____________31329320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:0  sdb 8:16   [active][ready]
\_ 2:0:0:0  sdo 8:224  [active][ready]

1IBM_____2105____________51329320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:2  sdd 8:48   [active][ready]
\_ 2:0:0:2  sdq 65:0   [active][ready]

1IBM_____2105____________11429320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:4  sdf 8:80   [active][ready]
\_ 2:0:0:4  sds 65:32  [active][ready]

1IBM_____2105____________31429320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:6  sdh 8:112  [active][ready]
\_ 2:0:0:6  sdu 65:64  [active][ready]

1IBM_____2105____________51429320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:8  sdj 8:144  [active][ready]
\_ 2:0:0:8  sdw 65:96  [active][ready]

1IBM_____2105____________40A29320
[size=7 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:12 sdn 8:208  [active][ready]

1IBM_____2105____________11529320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:10 sdl 8:176  [active][ready]
\_ 2:0:0:10 sdy 65:128 [active][ready]

1IBM_____2105____________41329320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:1  sdc 8:32   [active][ready]
\_ 2:0:0:1  sdp 8:240  [active][ready]

1IBM_____2105____________01429320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:3  sde 8:64   [active][ready]
\_ 2:0:0:3  sdr 65:16  [active][ready]

1IBM_____2105____________21429320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:5  sdg 8:96   [active][ready]
\_ 2:0:0:5  sdt 65:48  [active][ready]

1IBM_____2105____________41429320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:7  sdi 8:128  [active][ready]
\_ 2:0:0:7  sdv 65:80  [active][ready]

1IBM_____2105____________01529320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:9  sdk 8:160  [active][ready]
\_ 2:0:0:9  sdx 65:112 [active][ready]

1IBM_____2105____________21529320
[size=14 GB][features="0"][hwhandler="0"]
\_ round-robin 0 [active]
\_ 1:0:0:11 sdm 8:192  [active][ready]
\_ 2:0:0:11 sdz 65:144 [active][ready]

Expected results:

It should show if the path_checker is "tur" or "readsector0"
Additional info:
Comment 2 Ben Marzinski 2006-09-15 16:07:14 EDT
The man page has been corrected.
Comment 3 Ben Marzinski 2007-01-31 12:04:03 EST
Just a man page fix. No testing issues
Comment 9 Red Hat Bugzilla 2007-05-01 13:36:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0256.html

Note You need to log in before you can comment on or make changes to this bug.